Subject: Re: [DGD] GurbaLib
From: Jas
Date: Thu, 26 Aug 2004 11:37:02 -0800

Noah Gibbs wrote:

>  You need a strong central project lead, who will find he also needs
>to do the vast majority of the work.
>  
>

That's pretty-much what I noticed when I started building a new 
basic/starter mudlib for the LDMUD driver, with plans to release it for 
public distribution.  Lots of people expressed interest in what I had in 
mind, but a "show of hands" produced zero volunteers to assist with the 
project.

I spent many nights pounding away on my keyboard and roughly the same 
number of nights sleeping on the couch instead of with the Mrs., 
coincidentally.  When I was finished, I had something that was probably 
"good enough" to merit a 1.0 release stamp.

Instead, I shelved the project (it's on a CD-R somewhere on my shelf, at 
least) when I considered that I might like to bring it commercial 
someday, or at least have the option of licensing it as such.  As much 
work has been done with LDMUD to cleanup the Lars/Amlyaar stuff, it's 
still a direct decendent from those driver lines and thereby subject to 
the same license restrictions.

>  You can best serve DGD by appointing yourself to such a role, and
>releasing your code from the very beginning.  Yes, even when it's
>basically unusable.
>

I'm of mixed opinions on this one.

I don't think I really want to release a (mostly-) non-working product, 
only to have to "hand hold" other people after they unpack the tarball.  
It's bad enough that half the people who would download the thing barely 
understand how to compile and launch their driver executable.

On the other hand, it's a sure-fire way to get beta testers, without 
having to even make them THINK of themselves as such.  Hmm.

>Starting from an existing lib would be fine,
>whatever floats your boat.  Just make sure you understand any
>appropriate license issues.
>  
>

There are some pretty-interesting libraries out there (yours included, 
by the way), but I'd have chosen to be a DIKU-family developer if I 
wanted to take someone else's work, make a few changes here and there, 
and release it as a new product line.

No, what's really needed is a new creation.  A new species, if you will, 
of game library for the DGD engine.  Something that can be GPL or BSD or 
whatever license you want, right from the get-go.

>  If that's more work than you wish to commit to, help out somebody on
>an existing project of that type.
>
>  Under other circumstances I'd nominate me, but Phantasmal's been
>pretty stagnant for awhile.  It sounds like shortly, Par Winzell will
>be the guy to help.
>  
>

I guess I'll look and see what the Skotos folks release and give it some 
more thought.

Thanks for your comments, though, as it's always interesting to hear 
from folks who have done mudlib work that's been released in various 
stages of completion.

Cheers,
Jason D. Bourgoin
aka Katmandu